Get a document
curl --request GET \
--url https://api.nextlevelmca.com/v1/documents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"name": "<string>",
"type": "application",
"mime_type": "<string>",
"file_size": 123,
"upload_pending": true,
"variant": "original",
"source": "<string>",
"ocr_status": "<string>",
"shared_with_merchant": true,
"uploaded_by_id": "<string>",
"uploaded_at": "<string>",
"created_at": "<string>",
"download_url": "<string>",
"download_url_expires_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Documents
Get a document
Metadata plus a signed download_url valid for 15 minutes (only for finalized documents). Fetch again when it expires.
GET
/
v1
/
documents
/
{id}
Get a document
curl --request GET \
--url https://api.nextlevelmca.com/v1/documents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"name": "<string>",
"type": "application",
"mime_type": "<string>",
"file_size": 123,
"upload_pending": true,
"variant": "original",
"source": "<string>",
"ocr_status": "<string>",
"shared_with_merchant": true,
"uploaded_by_id": "<string>",
"uploaded_at": "<string>",
"created_at": "<string>",
"download_url": "<string>",
"download_url_expires_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?